.navigation {
  display: flex;
  position: fixed;

  width: 331px;
  height: 74px;
  left: 50%;
  top: 775px;
  transform: translateX(-50%);
  background: #202428;
  box-shadow: inset 0px 0px 17px rgba(0, 0, 0, 0.33);
  border-radius: 30px;
  justify-content: space-evenly;
  align-items: center;

  img {
    width: 40px;
    height: 40px;
  }
}
.mid-sector-1 {
  display: flex;
  height: 50px;

  margin-top: 100px;
  align-items: center;
  justify-content: center;
  .mid-sector-text-1 {
    font-family: "Sen";
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #e9eaea;
    opacity: 0.8;
  }
}
.mid-sector-2 {
  display: flex;
  height: 200px;
  align-items: center;
  justify-content: center;
  gap: 30px;
  flex-direction: row;
  .clock {
    display: flex;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background: #1d2125;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    justify-content: center;
    align-items: center;
    flex-direction: column;
    .hours {
      display: flex;
      flex-direction: row;
      align-items: center;

      .time-hours {
        font-family: "Sen";
        font-style: normal;
        font-weight: 700;
        font-size: 50px;

        color: #ffffff;
      }
      .hours-letter {
        font-family: "Sen";
        font-style: normal;
        font-weight: 700;
        font-size: 30px;
        margin-top: 16px;
        color: #ffffff;
      }
      .minutes-letter {
        font-family: "Sen";
        font-style: normal;
        font-weight: 700;
        font-size: 15px;
        margin-top: 5px;
        color: #ffffff;
      }
      .time-minutes {
        font-family: "Sen";
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        color: #ffffff;
      }
    }
  }
  .mid-sector-2-lessons {
    .now {
      font-family: "Sen";
      font-style: normal;
      font-weight: 400;
      font-size: 18;
      line-height: 19px;
      color: #ced4da;
      opacity: 0.5;
    }
    .lesson-now {
      font-family: "Sen";
      font-style: normal;
      font-weight: 700;
      font-size: 21.2727px;
      line-height: 26px;
      color: #ffffff;
      opacity: 0.9;
    }
  }
}
.mid-sector-3 {
  display: flex;
  height: 50px;
  justify-content: center;
  align-items: center;
  .time-left {
    font-family: "Sen";
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 22px;
    color: #ffffff;
    opacity: 0.6;
  }
}
.mid-sector-4 {
  margin-top: 30px;
  display: flex;
  height: 50px;
  align-items: flex-end;

  .mid-sector-4-text {
    margin-left: 30px;
    font-family: "Roboto";
    font-style: normal;
    font-weight: 300;
    font-size: 17px;
    line-height: 20px;
    letter-spacing: 0.015em;
    color: #eaeaea;
    opacity: 0.6;
    margin-bottom: 10px;
  }
}
.carousel {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;

  overflow: auto;
  white-space: nowrap;

  -ms-overflow-style: none;
  scrollbar-width: none;
  &::-webkit-scrollbar {
    display: none;
  }

  .upcoming {
    flex: 0 0 clamp(280px, 90vw, 512px);
    height: 100px;
    background-color: #495057;
    border-radius: 5px;
    box-shadow: 4px 8px 8px 2px rgba(0, 0, 0, 0.25);
    margin: 0 20px;
    .upcoming-subject {
      height: 50px;
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
      gap: 10px;
      .upcoming-subject-v2 {
        margin-left: 30%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 10px;
        .upcoming-subject-name {
          font-family: "Sen";
          font-style: normal;
          font-weight: 400;
          font-size: 15.7631px;
          line-height: 19px;
          color: #ffffff;
          opacity: 0.8;
          margin-left: 50px;
          margin-top: 10px;
        }
        .upcoming-subject-time {
          font-family: "Sen";
          font-style: normal;
          font-weight: 400;
          font-size: 14px;
          line-height: 15px;
          color: #ffffff;
          opacity: 0.4;
          color: #ffffff;
          margin-left: 35px;
        }
      }

      .exam-text {
        font-family: "Sen";
        font-style: normal;
        font-weight: 400;
        font-size: 12.4639px;
        line-height: 15px;
        color: #ffffff;
        opacity: 0.4;
        margin-left: 20px;
      }
      .upcoming-subject-text {
        font-family: "Sen";
        font-style: normal;
        font-weight: 400;
        font-size: 18.252px;
        line-height: 22px;
        color: #ffffff;
      }
    }
    .upcoming-text {
      display: flex;
      width: 100%;
      height: 50px;
      justify-content: space-around;
      align-items: flex-start;
      flex-direction: row;
      gap: 60px;

      .text {
        white-space: pre-line;
        font-weight: 400;
        font-size: 15px;
        color: #ffffff;
        opacity: 0.8;
      }
      .upcoming-images {
        margin-top: 10px;
      }
    }
  }
}
